[arch-commits] Commit in mongodb/repos (5 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Tue Jan 2 11:55:25 UTC 2018


    Date: Tuesday, January 2, 2018 @ 11:55:24
  Author: bpiotrowski
Revision: 277680

archrelease: copy trunk to community-staging-x86_64

Added:
  mongodb/repos/community-staging-x86_64/
  mongodb/repos/community-staging-x86_64/PKGBUILD
    (from rev 277679, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-staging-x86_64/mongodb.conf
    (from rev 277679, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-staging-x86_64/mongodb.install
    (from rev 277679, mongodb/trunk/mongodb.install)
  mongodb/repos/community-staging-x86_64/mongodb.service
    (from rev 277679, mongodb/trunk/mongodb.service)

-----------------+
 PKGBUILD        |   81 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mongodb.conf    |    8 +++++
 mongodb.install |   20 +++++++++++++
 mongodb.service |   10 ++++++
 4 files changed, 119 insertions(+)

Copied: mongodb/repos/community-staging-x86_64/PKGBUILD (from rev 277679, mongodb/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2018-01-02 11:55:24 UTC (rev 277680)
@@ -0,0 +1,81 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=3.6.1
+pkgrel=2
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'libsasl' 'yaml-cpp' 'lsb-release' 'wiredtiger'
+         'libstemmer')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'python2-setuptools' 'python2-regex'
+             'python2-cheetah' 'python2-typing' 'python2-requests')
+checkdepends=('python2-pymongo' 'python2-yaml')
+optdepends=('libpcap: needed for mongosniff'
+            'mongodb-tools: mongoimport, mongodump, mongotop, etc')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service')
+sha512sums=('ad02fac423186da725493bf82a417cf5f68b08afe91c67f007b46324dfde3d6b4c51ed8eb1a314da73563be498b844f79be66a4f5d1fb83095df6c5458bd6d1f'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
+
+_scons_args=(
+  --use-system-pcre
+  --use-system-snappy
+  --use-system-yaml
+  --use-system-zlib
+  --use-system-wiredtiger
+  --use-system-stemmer
+  --use-sasl-client
+  --ssl
+  --disable-warnings-as-errors
+  # --use-system-asio     # https://jira.mongodb.org/browse/SERVER-21839
+  # --use-system-v8       # Doesn't compile
+  # --use-system-icu
+  # --use-system-tcmalloc # Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890
+)
+
+build() {
+  cd mongodb-src-r${pkgver}
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  scons core tools "${_scons_args[@]}"
+}
+
+check() {
+  cd mongodb-src-r${pkgver}
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  # Setting LANG to workaround the following test error:
+  # std::exception: locale::facet::_S_create_c_locale name not valid
+
+  # 3.6.0: mlock permission denied
+  scons unittests "${_scons_args[@]}"
+  sed -i -e '/oplog_buffer_collection_test/d' build/unittests.txt
+  LANG=en_US.UTF-8 python2 buildscripts/resmoke.py --suites=unittests || warning "Tests failed"
+
+  scons dbtest "${_scons_args[@]}"
+  python2 buildscripts/resmoke.py --suites=dbtest
+
+  scons integration_tests "${_scons_args[@]}"
+  python2 buildscripts/resmoke.py --suites=integration_tests_replset,integration_tests_standalone --dbpathPrefix="$srcdir"
+}
+
+package() {
+  cd mongodb-src-r${pkgver}
+
+  scons install --prefix="$pkgdir/usr" --nostrip "${_scons_args[@]}"
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}

Copied: mongodb/repos/community-staging-x86_64/mongodb.conf (from rev 277679, mongodb/trunk/mongodb.conf)
===================================================================
--- community-staging-x86_64/mongodb.conf	                        (rev 0)
+++ community-staging-x86_64/mongodb.conf	2018-01-02 11:55:24 UTC (rev 277680)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Copied: mongodb/repos/community-staging-x86_64/mongodb.install (from rev 277679, mongodb/trunk/mongodb.install)
===================================================================
--- community-staging-x86_64/mongodb.install	                        (rev 0)
+++ community-staging-x86_64/mongodb.install	2018-01-02 11:55:24 UTC (rev 277680)
@@ -0,0 +1,20 @@
+# vim: syntax=sh
+
+post_install() {
+  post_upgrade $1 ''
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  if ! getent passwd mongodb >/dev/null
+  then
+    useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  fi
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+}

Copied: mongodb/repos/community-staging-x86_64/mongodb.service (from rev 277679, mongodb/trunk/mongodb.service)
===================================================================
--- community-staging-x86_64/mongodb.service	                        (rev 0)
+++ community-staging-x86_64/mongodb.service	2018-01-02 11:55:24 UTC (rev 277680)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target



More information about the arch-commits mailing list